E_D = 1.138135; %Exchange coefficient
TAXES = 1.21*1.05113*1.04864; %Include elecricity taxes

%Power prices before taxes
Peak_P = 59.173468;
Shoulder_P = 36.490689;
Peakoff_P = 8.367731;

%Energy prices before taxes
Peak_E = 0.014335;
Shoulder_E = 0.012754;
Peakoff_E = 0.007805;

%Peak
Peak_P = Peak_P/12*TAXES*E_D %Peak power price $/kW/month
Peak_E = Peak_E*TAXES*E_D %Base peak energy price $/kWh
Peak_Ep10 = Peak_E*1.1 %Base peak energy price +10%
Peak_Ep20 = Peak_E*1.2 %Base peak energy price +20%
Peak_Em10 = Peak_E*0.9 %Base peak energy price -10%
Peak_Em20 = Peak_E*0.8 %Base peak energy price -20%

%Shoulder
Shoulder_P = Shoulder_P/12*TAXES*E_D %Shoulder power price $/kW/month
Shoulder_E = Shoulder_E*TAXES*E_D %Base shoulder energy price $/kWh
Shoulder_Ep10 = Shoulder_E*1.1 %Base shoulder energy price +10%
Shoulder_Ep20 = Shoulder_E*1.2 %Base shoulder energy price +20%
Shoulder_Em10 = Shoulder_E*0.9 %Base shoulder energy price -10%
Shoulder_Em20 = Shoulder_E*0.8 %Base shoulder energy price -20%

%Peakoff
Peakoff_P = Peakoff_P/12*TAXES*E_D  %Peakoff power price $/kW/month
Peakoff_E = Peakoff_E*TAXES*E_D %Base peakoff energy price $/kWh
Peakoff_Ep10 = Peakoff_E*1.1 %Base peakoff energy price +10%
Peakoff_Ep20 = Peakoff_E*1.2 %Base peakoff energy price +20%
Peakoff_Em10 = Peakoff_E*0.9 %Base peakoff energy price -10%
Peakoff_Em20 = Peakoff_E*0.8 %Base peakoff energy price -20%

%Natural gas
NG_price = 0.042294; %Natural gas price before taxes (/kWh)
NG_taxes = 0.00234; %Hydrocarbons taxes over natural gas (/kWh)
NG_price = (NG_price + NG_taxes)*1.21; %Base natural gas price (/kWh)
kWh_to_m3 = 11.67; %Natural gas convertion factor(kWh/m3)
NG_price = NG_price*kWh_to_m3*E_D %Base natural gas price ($/m3)
NG_price_p10 = NG_price*1.1 %Base natural gas price +10%
NG_price_p20 = NG_price*1.2 %Base natural gas price +20%
NG_price_m10 = NG_price*0.9 %Base natural gas price -10%
NG_price_m20 = NG_price*0.8 %Base natural gas price -20%



